# Investment Relations

`GET` `/v1/quote/invest-relations`

Get investment relations including parent company, subsidiaries, and major holdings.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol, e.g. `700.HK` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/invest-relations?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `invest_securities` | object[] | No | List of investment holdings |
| `└ company_id` | string | No | Company ID |
| `└ company_name` | string | No | Display company name |
| `└ company_name_zhcn` | string | No | Chinese company name |
| `└ company_name_en` | string | No | English company name |
| `└ symbol` | string | No | Security symbol |
| `└ percent_of_shares` | string | No | Ownership percentage |
| `└ shares_value` | string | No | Value of shares held |
| `└ shares_rank` | string | No | Rank by shares held |
| `└ currency` | string | No | Currency |
| `forward_url` | string | No | Company investment relations page URL |
| `total` | integer | No | Total number of matching stocks. |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "forward_url": "https://longbridge.com/wiki/stocks/ST.HK.700#invest",
    "invest_securities": [
      {
        "symbol": "HUYA.US",
        "company_id": "12345",
        "company_name": "Huya Inc.",
        "company_name_en": "Huya Inc.",
        "company_name_zhcn": "虎牙直播",
        "currency": "USD",
        "percent_of_shares": "19.00",
        "shares_rank": "1",
        "shares_value": "19000000"
      }
    ]
  }
}
```
